#include <stdio.h>
#include <stdarg.h>
#include <signal.h>
#include "monitor.h"

void
error(char *msg, ...)
{
	va_list   v;
	va_start(v, msg);
	fprintf(stderr, "monitor fatal error: ");
	vfprintf(stderr, msg, v);
	done(SIGSEGV);
}

void
chatty(char *msg, ...)
{
	va_list   v;
	va_start(v, msg);
	vfprintf(stderr, msg, v);
}
