
#include <libc.h>
#include "kevio.h"

int
dumpev(KRec *p, FILE *outf)
{
	int               i;
	print_time(p, outf);
	fprintf(outf,"(%x %x %x):\t",
		p->kr_major, p->kr_minor, p->kr_oprnd);
	if (p->kr_nwords) {
		fprintf(outf, "%-4d ( ", p->kr_nwords);
		for (i=0; i < p->kr_nwords; i++) {
			fprintf(outf,"%8.8x ", p->kr_data[i]);
		}
		putc(')', outf);
	}
	putc('\n', outf);
	return 0;
}
