#include "kertest.h"


static int     lastactive = 1;
static volatile int statchanged;

extern _xchgl(volatile int *xp, int v);
#pragma aux _xchgl \
 parm nomemory [edx] [eax] \
 value         [eax] \
 modify exact  [edx] = \
 "xchg [edx],eax" \


_evstart(pid_t pid)
{
	lastactive = pid;
}

int
EvAp_put()
{
	unsigned id;

	switch (EOPCODE(monevent.code)) {
	case _EVENT_KER_ACTIVE:
		if (pidstat[id=PINDEX(lastactive)].st == PROC_EMPTY) {
			pidstat[id].st = PROC_USED;
		}
		if (pidstat[id=PINDEX(EDATA(monevent.code))].st == PROC_EMPTY) {
			pidstat[id].st = PROC_USED;
		}
		break;

	case _EVENT_KER_PROC_STAT:
		if (pidstat[id=PINDEX(EDATA(monevent.code))].st == PROC_EMPTY) {
			pidstat[id].st = PROC_USED;
		}
		pidstat[id].proc = monevent.ev.eventp->stat;
		pidstat[id].st = PROC_CREATED;
		statchanged++;
		break;

	case _EVENT_KER_DEATH:
		if (pidstat[id=PINDEX(EDATA(monevent.code))].st == PROC_EMPTY) {
		/* Died, but we never knew her; */
			break;
		}
		pidstat[id].st = PROC_DEAD;
		statchanged++;
		break;
	}
	return 0;
}

int __far
tickleme()
{
	return _xchgl(&statchanged, 0)?tickleproxy:0;
}
