;/* interface to kernel event emission */
;

.586


ifndef EISPTR
EISPTR = 0x80000000
endif

kev struc
	ticklo       dd ?
	tickhi       dd ?
	code         dd ?
	eoffs        dd ?
	eseg         dw 2dup(?)
kev ends

.code
public _rdtsc_swi_
public _8254_swi_

extrn "C", monevent:kev
extrn "C", EvAp_put:near
extrn "C", montick_8254:near

extrn _monds:near

_rdtsc_swi_:
	push     ds 
	push     es 
	push     ebx 
	push     ecx 
	push     edx 
	mov      dx, ds
	mov      ds, cs:_monds 
	mov      es, cs:_monds
	test     eax, EISPTR
	mov      monevent.code, eax
	lea      ebx, 8*4[esp]
	jz       rdtsc_direct
	mov      ebx, ss:[ebx]
rdtsc_direct:
	mov      monevent.eseg, ss
	mov      monevent.eoffs, ebx
	rdtsc
	mov      monevent.ticklo, eax
	mov      monevent.tickhi, edx
	call     EvAp_put
	pop      edx 
	pop      ecx 
	pop      ebx 
	pop      es 
	pop      ds 
	iretd 

_8254_swi_:
	push     ds 
	push     es 
	push     ebx 
	push     ecx 
	push     edx 
	mov      dx, ds
	mov      ds, cs:_monds
	mov      es, cs:_monds
	test     eax, EISPTR
	mov      monevent.code, eax
	lea      ebx, 8*4[esp]
	jz       _8254_direct
	mov      ebx,ss:[ebx]
_8254_direct:
	mov      monevent.eseg, ss
	mov      monevent.eoffs, ebx
	call     montick_8254
	call     EvAp_put
	pop      edx 
	pop      ecx 
	pop      ebx 
	pop      es 
	pop      ds 
	iretd 
end

